Package wx :: Class MirrorDC

[frames | no frames]

## Type MirrorDC

    object --+
             |
        Object --+
                 |
                DC --+
                     |
                    MirrorDC

wx.MirrorDC is a simple wrapper class which is always associated with a real `wx.DC` object and either forwards all of its operations to it without changes (no mirroring takes place) or exchanges x and y coordinates which makes it possible to reuse the same code to draw a figure and its mirror -- i.e. reflection related to the diagonal line x == y.

Method Summary
MirrorDC | ``__init__`(self, dc, mirror)` Creates a mirrored DC associated with the real dc.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, dc, mirror)
(Constructor)

Creates a mirrored DC associated with the real dc. Everything drawn on the wx.MirrorDC will appear on the dc, and will be mirrored if mirror is True.

  Parameters:
    `dc`
    (type=DC)

    `mirror`
    (type=bool)

  Returns:
    MirrorDC
  Overrides:
    `wx.DC.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:41 2007 | http://epydoc.sf.net